org.openstreetmap.josm.plugins.streetside.utils

## Class StreetsideURL

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.utils.StreetsideURL

-     public final class StreetsideURL
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StreetsideURL.APIv3`
    `static class` | `StreetsideURL.MainWebsite`
    `static class` | `StreetsideURL.VirtualEarth`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static org.apache.log4j.Logger` | `logger`
    `private static int` | `OSM_BBOX_NORTH`
    `private static int` | `OSM_BBOX_SOUTH`
    `private static int` | `OSM_BBOX_WEST`
    `private static int` | `OSM_BBOXEAST`
    `private static java.lang.String` | `STREETSIDE_BASE_URL` Base URL of the Bing Bubble API.
    `private static java.lang.String` | `STREETSIDE_PRIVACY_URL` Base URL for Streetside privacy concerns.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `StreetsideURL()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static java.lang.String` | `queryByIdString(java.util.Map<java.lang.String,java.lang.String> parts)`
    `(package private) static java.lang.String` | `queryStreetsideBoundsString(java.util.Map<java.lang.String,java.lang.String> parts)`
    `(package private) static java.lang.String` | `queryString(java.util.Map<java.lang.String,java.lang.String> parts)` Builds a query string from it's parts that are supplied as a `Map`
    `(package private) static java.net.URL` | `string2URL(java.lang.String... strings)` Converts a `String` into a `URL` without throwing a `MalformedURLException`.
    `static java.net.URL[]` | `string2URLs(java.lang.String baseUrlPrefix, java.lang.String cubemapImageId, java.lang.String baseUrlSuffix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          static final org.apache.log4j.Logger logger

    - #### STREETSIDE_BASE_URL

          private static final java.lang.String STREETSIDE_BASE_URL

      Base URL of the Bing Bubble API.
      See Also:
        Constant Field Values

    - #### STREETSIDE_PRIVACY_URL

          private static final java.lang.String STREETSIDE_PRIVACY_URL

      Base URL for Streetside privacy concerns.
      See Also:
        Constant Field Values

    - #### OSM_BBOX_NORTH

          private static final int OSM_BBOX_NORTH

      See Also:
        Constant Field Values

    - #### OSM_BBOX_SOUTH

          private static final int OSM_BBOX_SOUTH

      See Also:
        Constant Field Values

    - #### OSM_BBOXEAST

          private static final int OSM_BBOXEAST

      See Also:
        Constant Field Values

    - #### OSM_BBOX_WEST

          private static final int OSM_BBOX_WEST

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StreetsideURL

          private StreetsideURL()

  - ### Method Detail

    - #### string2URLs

          public static java.net.URL[] string2URLs(java.lang.String baseUrlPrefix,
                                                   java.lang.String cubemapImageId,
                                                   java.lang.String baseUrlSuffix)

    - #### queryString

          static java.lang.String queryString(java.util.Map<java.lang.String,java.lang.String> parts)

      Builds a query string from it's parts that are supplied as a `Map`
      Parameters:
        `parts` - the parts of the query string
      Returns:
        the constructed query string (including a leading ?)

    - #### queryStreetsideBoundsString

          static java.lang.String queryStreetsideBoundsString(java.util.Map<java.lang.String,java.lang.String> parts)

    - #### queryByIdString

          static java.lang.String queryByIdString(java.util.Map<java.lang.String,java.lang.String> parts)

    - #### string2URL

          static java.net.URL string2URL(java.lang.String... strings)

      Converts a `String` into a `URL` without throwing a `MalformedURLException`. Instead such an exception will lead to an `logger#error(Throwable)`. So you should be very confident that your URL is well-formed when calling this method.
      Parameters:
        `strings` - the Strings describing the URL
      Returns:
        the URL that is constructed from the given string

JOSM Plugins